<template>
      
</template>
<script>
    export default {
        data(){
            return{
                form : new Form(
                  {
                    password:"",
                    identity:'',
                }),
                isLoading:false,
            }
        },
        created()
        {

        },
        mounted() {

        },
        computed:
        {

        },
        methods: 
        {
            //Ajoute un role dans la BDD
            onSubmit()
            {
                this.isLoading  = true
                //Requête ajax
                this.form.post("/login").then((value) => 
                {  
                    this.$root.ui()
                    window.location= isDefined(value.path) ? value.path : "/"
                },
                (error) =>
                {
                  this.isLoading = false
                });                  
            },
            login() {
                let email = this.identity 
                let password = this.password
                this.$store.dispatch('login', { email, password })
                .then(() => this.$router.push('/'))
                .catch(err => console.log(err))
            },
            //Initialisation du formulaire
              reset()
            {
                  this.form.reset();
                  this.isLoading = false
            },

            updateError()
            {
                  
               if(this.form.errors.has('email') || this.form.errors.has('identify') || this.form.errors.has('username') )
               {
                  this.form.errors.clear('identify') 
                  this.form.errors.clear('email') 
                  this.form.errors.clear('username') 
               }
            },
        },
        components:
        {

        }
    }
</script>